public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: systemd-notify-and-similar: Adjust test relevancy
Date: Fri, 11 Sep 2026 13:22:36 GMT	[thread overview]
Message-ID: <178913295662.1.15894075222260532443.tests-selinux-1ecae443e08f@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 1ecae443e08fb2fccdf8daa81003c6f81fd8d6f8
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-04-17T18:11:55+00:00
            Stats  : +3/-1 in 2 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/1ecae443e08fb2fccdf8daa81003c6f81fd8d6f8?branch=pr775-checkpolicy-revdeps

            Log:
            systemd-notify-and-similar: Adjust test relevancy

Do not test "RHEL-25514 + RHEL-25605" on RHEL-9.4 or lower.
Also, upload ssh.exp so that the test works correctly in 1minutetip.

---
diff --git a/selinux-policy/systemd-notify-and-similar/Makefile b/selinux-policy/systemd-notify-and-similar/Makefile
index 24161e3..b8c2da8 100644
--- a/selinux-policy/systemd-notify-and-similar/Makefile
+++ b/selinux-policy/systemd-notify-and-similar/Makefile
@@ -29,7 +29,7 @@ export TESTVERSION=1.0
 
 BUILT_FILES=
 
-FILES=$(METADATA) runtest.sh Makefile PURPOSE local-notifier.service notifier.sh reproducer.service
+FILES=$(METADATA) runtest.sh Makefile PURPOSE local-notifier.service notifier.sh reproducer.service ssh.exp
 
 .PHONY: all install download clean
 

diff --git a/selinux-policy/systemd-notify-and-similar/runtest.sh b/selinux-policy/systemd-notify-and-similar/runtest.sh
index 2a5a9d8..45a16b4 100755
--- a/selinux-policy/systemd-notify-and-similar/runtest.sh
+++ b/selinux-policy/systemd-notify-and-similar/runtest.sh
@@ -103,6 +103,7 @@ rlJournalStart
         rlRun "systemctl daemon-reload"
     rlPhaseEnd
 
+    if ! rlIsRHEL "<9.5" ; then
     rlPhaseStartTest "RHEL-25514 + RHEL-25605"
         rlSEMatchPathCon "/usr/bin/systemd-notify" "systemd_notify_exec_t"
         rlSEMatchPathCon "/run/systemd/notify" "init_var_run_t"
@@ -118,6 +119,7 @@ rlJournalStart
         rlRun "rm -f /etc/systemd/system/reproducer.service"
         rlRun "systemctl daemon-reload"
     rlPhaseEnd
+    fi
 
     rlPhaseStartCleanup
         sleep 2

                 reply	other threads:[~2026-09-11 13:22 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913295662.1.15894075222260532443.tests-selinux-1ecae443e08f@fedoraproject.org \
    --to=sbroz@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox